/******************************************************************************

Copyright(c) 2018-2020 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*******************************************************************************/

#ifndef MEM_TYPES_H
#define MEM_TYPES_H

/* enumerate supported memory types used as the non-zero value for CONFIG_DMC0 */
#define DMC_NONE          (0)
#define DDR3_1Gb          (1)
#define DDR3_2Gb          (2)
#define DDR3_4Gb          (3)
#define DDR3_8Gb          (4)

#endif /* MEM_TYPES_H */
